## krita 4.1.7.101+dfsg

=== debian/changelog ===
krita (1:4.1.7.101+dfsg-0.1~mx17+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 17 Dec 2018 17:39:59 -0800

krita (1:4.1.7+dfsg-0.1~mx17+1) mx; urgency=medium

  * New upstream bugfix release; build for MX 17.
    - Fix showing wrongly that there is no audio support in the animation
      timeline audio menu.
    - Disable the disk-based animation cache rendering backend on Windows: this
      would give problems with animations bigger than about 150 frames.
      (BUG 401326)
    - Don’t hang when trying to load recent files thumbnails for files in a
      location that’s no longer accessible. (BUG:401939)
    - Make it possible to use the LUT docker when Angle is enabled on Windows.
      We have also updated the OpenColorIO library to the latest release.
    - Remember whether anti-aliasing was enabled in selection tools. (BUG:401730)
    - Add a shortcut to activate the text tool. (BUG:401655)
    - Make the toolbars movable again.
    - Make Select by Color Range check the entire image. (BUG:346138)
    - Enable HiDPI support by default: the problems with the canvas scaling
      have been solved.
    - Allow krita to import more than file at a time when started from a file
      manager (BUG:401476)
    - Fix using the scrollwheel in comboboxes on Linux (BUG:399379) Patch by
      Mykola Krachkovsky.
    - Fix the calculation of Average Desaturation (BUG:400493)
    - Do not crash when exporting Compositions (BUG:400627)
    - Make the move tool show the correct cursor in all modes.
    - Let the move tool move invisible layers.
    - Fix a crash in the artistic color selector. (BUG:399860)
    - Work around a bug in Qt 5.12 that would cause an instant crash when using
      a tablet.
    - Fix a bug with QT's Network Class constantly checking the wi-fi status.

  * Drop patch to fix gcc-6 build; fixed in this release.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 14 Dec 2018 11:08:21 -0800

krita (1:4.1.5+dfsg-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Drop to debhelper compat 10.
  * Disable massive dbgsym packages.
  * Add dh-python to B-D to fix FTBFS.
  * Cherry-pick patch from git to fix FTBFS on gcc-6.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 21 Oct 2018 18:36:51 -0700

=== debian/control ===
Source: krita
Section: kde
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 10),
               dh-python,
               extra-cmake-modules (>= 1.7.0),
               gettext,
               libboost-system-dev,
               libeigen3-dev,
               libexiv2-dev,
               libfftw3-dev,
               libgif-dev,
               libgsl-dev,
               libheif-dev (>=1.2),
               libjpeg-dev,
               libkf5archive-dev (>= 5.7.0),
               libkf5completion-dev (>= 5.7.0),
               libkf5config-dev (>= 5.7.0),
               libkf5coreaddons-dev (>= 5.7.0),
               libkf5crash-dev (>= 5.7.0),
               libkf5guiaddons-dev (>= 5.7.0),
               libkf5i18n-dev (>= 5.7.0),
               libkf5itemmodels-dev (>= 5.7.0),
               libkf5itemviews-dev (>= 5.7.0),
               libkf5kio-dev (>= 5.7.0),
               libkf5widgetsaddons-dev (>= 5.7.0),
               libkf5windowsystem-dev (>= 5.7.0),
               liblcms2-dev,
               libopencolorio-dev,
               libopenexr-dev,
               libpng-dev,
               libpoppler-qt5-dev,
               libqt5opengl5-desktop-dev | libqt5opengl5-dev (>= 5.6.0),
               libqt5svg5-dev (>= 5.6.0),
               libqt5x11extras5-dev (>= 5.6.0),
               libraw-dev,
               libtiff-dev,
               libxcb-util0-dev,
               libxcb1-dev,
               libxi-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               pyqt5-dev,
               python3-dev,
               python3-pyqt5,
               python3-sip-dev,
               qtbase5-dev (>= 5.6.0),
               qtdeclarative5-dev (>= 5.6.0),
               qtmultimedia5-dev (>= 5.6.0),
               vc-dev [any-i386 any-amd64],
               zlib1g-dev
Standards-Version: 4.2.1
Homepage: https://krita.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/krita.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/krita

Package: krita
Architecture: any
Section: graphics
Depends: krita-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends},
         python3-sip, python3-pyqt5, qml-module-qtmultimedia
Suggests: colord, ffmpeg, krita-l10n (>= ${source:Version})
Built-Using: ${vc:Built-Using}
Description: pixel-based image manipulation program
 Krita is a creative application for raster images. Whether you want to create
 from scratch or work with existing images, Krita is for you. You can work with
 photos or scanned images, or start with a blank slate. Krita supports most
 graphics tablets out of the box.
 .
 Krita is different from other graphics design programs in that it has
 pluggable brush engines, some supporting brush resources like Gimp brush files,
 others offering sophisticated simulation of real brushes, and others again
 offering color mixing and image deformations. Moreover, Krita has full
 support for graphics tablets, including such features as pressure, tilt and
 rate, making it a great choice for artists. There are easy to use tools for
 drawing lines, ellipses and rectangles, and the freehand tool is supported by
 pluggable "drawing assistants" that help you draw shapes that still have a
 freehand feeling to them.

Package: krita-data
Architecture: all
Section: graphics
Depends: ${misc:Depends}
Description: data files for Krita painting program
 This package contains architecture-independent data files for Krita.
 .
 See the krita package for further information.

Package: krita-l10n
Architecture: all
Section: localization
Depends: ${misc:Depends}
Breaks: ${krita:oldLangs}
Replaces: ${krita:oldLangs}
Description: translations for Krita painting program
 This package contains the translations for Krita, the painting program.
 .
 See the krita package for further information.

## krita 4.1.8+dfsg

=== debian/changelog ===
krita (1:4.1.8+dfsg-0.1~mx17+1) mx; urgency=medium

  * New upstream release.
  * Drop to debhelper 10 compat to ease backports.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 06 Mar 2019 17:36:10 -0800

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: krita
 Section: kde
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 10),
-               dh-python,
                extra-cmake-modules (>= 1.7.0),
                gettext,
                libboost-system-dev,
@@ -15,7 +13,7 @@
                libfftw3-dev,
                libgif-dev,
                libgsl-dev,
-               libheif-dev (>=1.2),
+               libheif-dev,
                libjpeg-dev,
                libkf5archive-dev (>= 5.7.0),
                libkf5completion-dev (>= 5.7.0),
@@ -26,7 +24,6 @@
                libkf5i18n-dev (>= 5.7.0),
                libkf5itemmodels-dev (>= 5.7.0),
                libkf5itemviews-dev (>= 5.7.0),
-               libkf5kio-dev (>= 5.7.0),
                libkf5widgetsaddons-dev (>= 5.7.0),
                libkf5windowsystem-dev (>= 5.7.0),
                liblcms2-dev,
@@ -34,7 +31,8 @@
                libopenexr-dev,
                libpng-dev,
                libpoppler-qt5-dev,
-               libqt5opengl5-desktop-dev | libqt5opengl5-dev (>= 5.6.0),
+# Not available in Stretch's Qt 5
+#               libqt5opengl5-desktop-dev,
                libqt5svg5-dev (>= 5.6.0),
                libqt5x11extras5-dev (>= 5.6.0),
                libraw-dev,
@@ -61,8 +59,8 @@
 Package: krita
 Architecture: any
 Section: graphics
-Depends: krita-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends},
-         python3-sip, python3-pyqt5, qml-module-qtmultimedia
+Depends: krita-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Recommends: python3-sip, python3-pyqt5, qml-module-qtmultimedia
 Suggests: colord, ffmpeg, krita-l10n (>= ${source:Version})
 Built-Using: ${vc:Built-Using}
 Description: pixel-based image manipulation program

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
ifeq ($(DEB_HOST_ARCH_CPU),$(findstring $(DEB_HOST_ARCH_CPU),amd64 i386))
  VC_DEV_VERSION = $(shell dpkg-query -Wf '$${source:Package} (= $${source:Version})' vc-dev)
else
  VC_DEV_VERSION =
endif

# conflicts with old calligra-l10n
# (mostly copied from l10n-packages.mk in pkg-kde-tools)
l10npkgs_firstversion_ok := 1:2.9.11-1~
l10npkgs_prefix := calligra-l10n
l10npkgs_fixed_version_comma := (<< $(l10npkgs_firstversion_ok)),
# the list of languages in calligra-l10n < 2.9
l10npkgs_langs := bs ca cavalencia cs da de el engb es et eu fi fr gl hu it ja kk nb nds nl pl pt ptbr ru sk sv uk zhcn zhtw
l10npkgs_packages_rels := $(patsubst %,$(l10npkgs_prefix)-% $(l10npkgs_fixed_version_comma),$(l10npkgs_langs))

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DFOUNDATION_BUILD=OFF -DBUILD_TESTING=OFF

override_dh_auto_install:
	dh_auto_install
	# remove symlinks of private libraries
	find debian/tmp -name '*.so' -type l -print -delete

override_dh_missing:
	dh_missing --fail-missing

override_dh_gencontrol:
	dh_gencontrol -pkrita -- -Vvc:Built-Using='$(VC_DEV_VERSION)'
	dh_gencontrol -pkrita-l10n -- -Vkrita:oldLangs='$(l10npkgs_packages_rels)'
	dh_gencontrol --remaining-packages

override_dh_strip:
	dh_strip --no-automatic-dbgsym

.PHONY: override_dh_auto_test

=== debian/watch ===
version=4

opts="repack, repacksuffix=+dfsg, dversionmangle=s/\+dfsg\d*$//, \
pgpsigurlmangle=s/$/.sig/" \
https://download.kde.org/stable/krita/([\d\.]+)/krita-([\d\.]+)\.tar\.(?:xz|gz)

## krita 4.2.2+dfsg

=== debian/changelog ===
krita (1:4.2.2+dfsg-0.1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 26 Jun 2019 10:29:25 -0700

krita (1:4.2.0-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.
  * Disable automatic dbgsym packages.
  * Drop epoch in version to "1:" to match Debian versions.
  * Add libheif-dev to B-Ds.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 30 May 2019 12:09:05 -0700

krita (2:4.2.0-8~bionic) bionic; urgency=low

  * New upstream release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Thu, 30 May 2019 19:57:08 +0400

krita (2:4.2.0-7~cosmic) cosmic; urgency=low

  * New upstream release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Thu, 30 May 2019 19:55:42 +0400

krita (2:4.2.0-6~disco) disco; urgency=low

  * New upstream release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Thu, 30 May 2019 19:54:14 +0400

krita (2:4.2.0-5~eoan) eoan; urgency=low

  * New upstream release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Thu, 30 May 2019 19:51:12 +0400

krita (2:4.2.0-4~eoan) eoan; urgency=low

  * New upstream release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Wed, 29 May 2019 21:13:49 +0400

krita (2:4.2.0-3~disco) disco; urgency=low

  * New upstream release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Wed, 29 May 2019 21:12:01 +0400

krita (2:4.2.0-2~bionic) bionic; urgency=low

  * New upstream release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Wed, 29 May 2019 21:09:32 +0400

krita (2:4.2.0-1~cosmic) cosmic; urgency=low

  * New upstream release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Wed, 29 May 2019 21:01:55 +0400

krita (2:4.1.7-1~cosmic) cosmic; urgency=low

  * New release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Fri, 14 Dec 2018 21:30:20 +0400

krita (2:4.1.7-1~bionic) bionic; urgency=low

  * New release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Fri, 14 Dec 2018 21:22:47 +0400

krita (2:4.1.5-1~cosmic) cosmic; urgency=low

  * New release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Thu, 11 Oct 2018 19:52:46 +0400

krita (2:4.1.5-1~bionic) bionic; urgency=low

  * New release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Thu, 11 Oct 2018 19:39:38 +0400

krita (2:4.1.3-1~cosmic) cosmic; urgency=low

  * New release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Tue, 02 Oct 2018 17:31:13 +0400

krita (2:4.1.3-1~bionic) bionic; urgency=low

  * New release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Tue, 02 Oct 2018 17:20:25 +0400

krita (2:4.1.2-1~bionic) bionic; urgency=low

  * New upstream release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Tue, 25 Sep 2018 22:46:26 +0400

krita (2:4.1.1-1~bionic) bionic; urgency=low

  * New upstream release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Fri, 27 Jul 2018 22:51:34 +0400

krita (2:4.1.0-1~bionic) bionic; urgency=low

  *New upstream release 

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Wed, 27 Jun 2018 23:58:05 +0400

krita (2:4.0.4-1~bionic) bionic; urgency=low

  * New release
   * Remove libpython3-dev dependency

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Fri, 15 Jun 2018 21:38:06 +0400

krita (2:4.0.3-1~bionic) bionic; urgency=low

  * New upstream release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Sat, 12 May 2018 23:09:04 +0400

krita (2:4.0.3-1~artful) artful; urgency=low

  * New upstream release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Sat, 12 May 2018 22:57:14 +0400

krita (2:4.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Tue, 08 May 2018 21:58:33 +0400

krita (2:4.0.2-1~bionic) bionic; urgency=low

  * New upstream release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Tue, 08 May 2018 21:55:36 +0400

krita (2:4.0.2-1~artful) artful; urgency=low

  * New upstream release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Tue, 08 May 2018 21:45:04 +0400

krita (2:4.0.1-1~artful) artful; urgency=low

  * New upstream release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Mon, 09 Apr 2018 22:39:36 +0400

krita (2:4.0.1-1~bionic) bionic; urgency=low

  * New upstream release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Mon, 09 Apr 2018 22:35:09 +0400

krita (2:4.0.0-2~bionic) bionic; urgency=low

  * Dependency fix

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Tue, 20 Mar 2018 23:36:05 +0400

krita (2:4.0.0-2~artful) artful; urgency=low

  * Dependency fix

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Tue, 20 Mar 2018 23:33:29 +0400

krita (2:4.0.0-1~artful) artful; urgency=low

  * New upstream release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Tue, 20 Mar 2018 21:57:31 +0400

krita (2:4.0.0-1~bionic) bionic; urgency=low

  * New upstream release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Tue, 20 Mar 2018 21:49:58 +0400

krita (2:3.3.3-1~bionic) bionic; urgency=low

  * New upstream release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Mon, 08 Jan 2018 18:26:26 +0400

krita (2:3.3.3-1~zesty) zesty; urgency=low

  * New upstream release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Mon, 08 Jan 2018 18:24:42 +0400

krita (2:3.3.3-1~artful) artful; urgency=low

  * New upstream release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Mon, 08 Jan 2018 18:18:53 +0400

krita (2:3.3.2.1-1~artful) artful; urgency=low

  * New upstream release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Mon, 06 Nov 2017 12:26:38 +0400

krita (2:3.3.2.1-1~zesty) zesty; urgency=low

  * New upstream release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Sat, 04 Nov 2017 20:07:43 +0400

krita (2:3.3.1-1~artful) artful; urgency=low

  * New bugfix release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Tue, 10 Oct 2017 03:39:40 +0900

krita (2:3.3.0-1~artful) artful; urgency=low

  * New upstream release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Fri, 29 Sep 2017 02:27:23 +0900

krita (2:3.3.0-1~zesty) zesty; urgency=low

  * New upstream release

 -- Aleksey Samoilov <samoilov.lex@gmail.com>  Fri, 29 Sep 2017 02:20:49 +0900



=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

# conflicts with old calligra-l10n
# (mostly copied from l10n-packages.mk in pkg-kde-tools)
l10npkgs_firstversion_ok := 1:2.9.11-1~
l10npkgs_prefix := calligra-l10n
l10npkgs_fixed_version_comma := (<< $(l10npkgs_firstversion_ok)),
# the list of languages in calligra-l10n < 2.9
l10npkgs_langs := bs ca cavalencia cs da de el engb es et eu fi fr gl hu it ja kk nb nds nl pl pt ptbr ru sk sv uk zhcn zhtw
l10npkgs_packages_rels := $(patsubst %,$(l10npkgs_prefix)-% $(l10npkgs_fixed_version_comma),$(l10npkgs_langs))

%:
	dh $@ --parallel --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DPACKAGERS_BUILD=ON -DFOUNDATION_BUILD=OFF -DBUILD_TESTING=OFF

override_dh_auto_install:
	dh_auto_install
	# remove symlinks of private libraries
	find debian/tmp -name '*.so' -type l -print -delete

override_dh_install:
	dh_install --list-missing

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_gencontrol:
	dh_gencontrol -pkrita-l10n -- -Vkrita:oldLangs='$(l10npkgs_packages_rels)'
	dh_gencontrol --remaining-packages

.PHONY: override_dh_auto_test

## krita 4.2.3+dfsg

=== debian/changelog ===
krita (1:4.2.3+dfsg-0.1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 12 Jul 2019 20:32:59 -0700

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: krita
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Pino Toscano <pino@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Aleksey Samoilov <samoilov.lex@gmail.com>
 Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 10),
+               debhelper (>= 9),
                extra-cmake-modules (>= 1.7.0),
                gettext,
                libboost-system-dev,
+               libcurl4-gnutls-dev | libcurl-dev,
                libeigen3-dev,
                libexiv2-dev,
                libfftw3-dev,
+               libgsl-dev,
                libgif-dev,
-               libgsl-dev,
-               libheif-dev,
+               libheif-dev (>= 1.3.0),
                libjpeg-dev,
                libkf5archive-dev (>= 5.7.0),
                libkf5completion-dev (>= 5.7.0),
@@ -24,6 +25,7 @@
                libkf5i18n-dev (>= 5.7.0),
                libkf5itemmodels-dev (>= 5.7.0),
                libkf5itemviews-dev (>= 5.7.0),
+               kio-dev | libkf5kio-dev,
                libkf5widgetsaddons-dev (>= 5.7.0),
                libkf5windowsystem-dev (>= 5.7.0),
                liblcms2-dev,
@@ -31,10 +33,9 @@
                libopenexr-dev,
                libpng-dev,
                libpoppler-qt5-dev,
-# Not available in Stretch's Qt 5
-#               libqt5opengl5-desktop-dev,
-               libqt5svg5-dev (>= 5.6.0),
-               libqt5x11extras5-dev (>= 5.6.0),
+               libqt5svg5-dev (>= 5.4.0),
+               libqt5x11extras5-dev (>= 5.4.0),
+               libquazip5-dev (>= 0.7.3-5~),
                libraw-dev,
                libtiff-dev,
                libxcb-util0-dev,
@@ -42,27 +43,27 @@
                libxi-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
+               python3-dev,
                pyqt5-dev,
-               python3-dev,
-               python3-pyqt5,
+               pyqt5-dev-tools,
                python3-sip-dev,
-               qtbase5-dev (>= 5.6.0),
-               qtdeclarative5-dev (>= 5.6.0),
-               qtmultimedia5-dev (>= 5.6.0),
-               vc-dev [any-i386 any-amd64],
+               qtbase5-dev (>= 5.4.0),
+               qtmultimedia5-dev,
+               qtdeclarative5-dev,
+               vc-dev [amd64 i386],
                zlib1g-dev
-Standards-Version: 4.2.1
+Standards-Version: 3.9.8
 Homepage: https://krita.org/
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/krita.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/krita
 
 Package: krita
 Architecture: any
 Section: graphics
-Depends: krita-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
-Recommends: python3-sip, python3-pyqt5, qml-module-qtmultimedia
-Suggests: colord, ffmpeg, krita-l10n (>= ${source:Version})
-Built-Using: ${vc:Built-Using}
+Depends: krita-data (>= ${source:Version}),
+         ${misc:Depends}, ${shlibs:Depends},
+         python3-sip, python3-pyqt5
+Suggests: colord, ffmpeg,  krita-l10n (>= ${source:Version})
+Breaks: krita-data (<< 1:2.4)
+Replaces: krita-data (<< 1:2.4)
 Description: pixel-based image manipulation program
  Krita is a creative application for raster images. Whether you want to create
  from scratch or work with existing images, Krita is for you. You can work with
@@ -84,10 +85,11 @@
 Section: graphics
 Depends: ${misc:Depends}
 Description: data files for Krita painting program
- This package contains architecture-independent data files for Krita.
+ This package contains architecture-independent data files for Krita,
+ the painting program.
  .
  See the krita package for further information.
-
+ 
 Package: krita-l10n
 Architecture: all
 Section: localization

=== debian/watch ===
version=4

opts="repack, repacksuffix=+dfsg, dversionmangle=s/\+dfsg\d*$//,
https://download.kde.org/stable/krita/([\d\.]+)/krita-([\d\.]+)\.tar\.(?:xz|gz)

## krita 4.2.4+dfsg

=== debian/changelog ===
krita (1:4.2.4+dfsg-0.1~mx19+1) mx; urgency=medium

  * New upstream release.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 30 Jul 2019 16:26:13 -0700

krita (1:4.2.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Sat, 20 Jul 2019 08:52:27 +0200

krita (1:4.2.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add the libquazip5-dev build dependency.
  * Recommend krita-gmic, now that it is finally available in the Debian
    archive.
  * Drop the breaks/replaces with the calligra-l10n packages, no more needed
    now after two stable releases.
  * Update copyright.
  * Bump Standards-Version to 4.4.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 08 Jul 2019 21:39:48 +0200

=== debian/control ===
Source: krita
Section: kde
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 1.7.0),
               gettext,
               libboost-system-dev,
               libeigen3-dev,
               libexiv2-dev,
               libfftw3-dev,
               libgif-dev,
               libgsl-dev,
               libheif-dev,
               libjpeg-dev,
               libkf5archive-dev (>= 5.7.0),
               libkf5completion-dev (>= 5.7.0),
               libkf5config-dev (>= 5.7.0),
               libkf5coreaddons-dev (>= 5.7.0),
               libkf5crash-dev (>= 5.7.0),
               libkf5guiaddons-dev (>= 5.7.0),
               libkf5i18n-dev (>= 5.7.0),
               libkf5itemmodels-dev (>= 5.7.0),
               libkf5itemviews-dev (>= 5.7.0),
               libkf5widgetsaddons-dev (>= 5.7.0),
               libkf5windowsystem-dev (>= 5.7.0),
               liblcms2-dev,
               libopencolorio-dev,
               libopenexr-dev,
               libpng-dev,
               libpoppler-qt5-dev,
               libquazip5-dev,
               libqt5opengl5-desktop-dev,
               libqt5svg5-dev (>= 5.6.0),
               libqt5x11extras5-dev (>= 5.6.0),
               libraw-dev,
               libtiff-dev,
               libxcb-util0-dev,
               libxcb1-dev,
               libxi-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               pyqt5-dev,
               python3-dev,
               python3-pyqt5,
               python3-sip-dev,
               qtbase5-dev (>= 5.6.0),
               qtdeclarative5-dev (>= 5.6.0),
               qtmultimedia5-dev (>= 5.6.0),
               vc-dev [any-i386 any-amd64],
               zlib1g-dev
Standards-Version: 4.4.0
Homepage: https://krita.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/krita.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/krita

Package: krita
Architecture: any
Section: graphics
Depends: krita-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: krita-gmic, python3-sip, python3-pyqt5, qml-module-qtmultimedia
Suggests: colord, ffmpeg, krita-l10n (>= ${source:Version})
Built-Using: ${vc:Built-Using}
Description: pixel-based image manipulation program
 Krita is a creative application for raster images. Whether you want to create
 from scratch or work with existing images, Krita is for you. You can work with
 photos or scanned images, or start with a blank slate. Krita supports most
 graphics tablets out of the box.
 .
 Krita is different from other graphics design programs in that it has
 pluggable brush engines, some supporting brush resources like Gimp brush files,
 others offering sophisticated simulation of real brushes, and others again
 offering color mixing and image deformations. Moreover, Krita has full
 support for graphics tablets, including such features as pressure, tilt and
 rate, making it a great choice for artists. There are easy to use tools for
 drawing lines, ellipses and rectangles, and the freehand tool is supported by
 pluggable "drawing assistants" that help you draw shapes that still have a
 freehand feeling to them.

Package: krita-data
Architecture: all
Section: graphics
Depends: ${misc:Depends}
Description: data files for Krita painting program
 This package contains architecture-independent data files for Krita.
 .
 See the krita package for further information.

Package: krita-l10n
Architecture: all
Section: localization
Depends: ${misc:Depends}
Description: translations for Krita painting program
 This package contains the translations for Krita, the painting program.
 .
 See the krita package for further information.

## krita 4.2.5+dfsg

=== debian/changelog ===
krita (1:4.2.5+dfsg-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 03 Aug 2019 10:14:01 -0700

krita (1:4.2.5+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 02 Aug 2019 20:04:48 +0200

krita (1:4.2.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump various build dependencies, as required by the upstream build system:
    - extra-cmake-modules to >= 5.22.0
    - Qt packages to >= 5.9.0
    - KF5 packages to >= 5.44.0

 -- Pino Toscano <pino@debian.org>  Wed, 31 Jul 2019 22:20:18 +0200

## krita 4.2.6+dfsg

=== debian/changelog ===
krita (1:4.2.6+dfsg-0.1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 10 Sep 2019 14:12:43 -0700

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
ifeq ($(DEB_HOST_ARCH_CPU),$(findstring $(DEB_HOST_ARCH_CPU),amd64 i386))
  VC_DEV_VERSION = $(shell dpkg-query -Wf '$${source:Package} (= $${source:Version})' vc-dev)
else
  VC_DEV_VERSION =
endif

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DFOUNDATION_BUILD=OFF -DBUILD_TESTING=OFF

override_dh_auto_install:
	dh_auto_install
	# remove symlinks of private libraries
	find debian/tmp -name '*.so' -type l -print -delete

override_dh_missing:
	dh_missing --fail-missing

override_dh_gencontrol:
	dh_gencontrol -pkrita -- -Vvc:Built-Using='$(VC_DEV_VERSION)'
	dh_gencontrol --remaining-packages

override_dh_strip:
	dh_strip --no-automatic-dbgsym

.PHONY: override_dh_auto_test

## krita 4.2.7+dfsg

=== CMakeLists.txt ===
project(krita)

message(STATUS "Using CMake version: ${CMAKE_VERSION}")

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

set(MIN_QT_VERSION 5.9.0)
set(MIN_FRAMEWORKS_VERSION 5.44.0)

set( CMAKE_CXX_STANDARD 11 )
set( CMAKE_CXX_STANDARD_REQUIRED ON )


if (POLICY CMP0002)
    cmake_policy(SET CMP0002 OLD)
endif()

if (POLICY CMP0017)
    cmake_policy(SET CMP0017 NEW)
endif ()

if (POLICY CMP0022)
    cmake_policy(SET CMP0022 OLD)
endif ()

if (POLICY CMP0026)
    cmake_policy(SET CMP0026 OLD)
endif()

if (POLICY CMP0042)
    cmake_policy(SET CMP0042 NEW)
endif()

if (POLICY CMP0046)
    cmake_policy(SET CMP0046 OLD)
endif ()

if (POLICY CMP0059)
    cmake_policy(SET CMP0059 OLD)
endif()

if (POLICY CMP0063)
    cmake_policy(SET CMP0063 OLD)
endif()

if (POLICY CMP0054)
    cmake_policy(SET CMP0054 OLD)
endif()

if (POLICY CMP0064)
    cmake_policy(SET CMP0064 OLD)
endif()

if (POLICY CMP0071)
    cmake_policy(SET CMP0071 OLD)
endif()

if (APPLE)
    set(APPLE_SUPPRESS_X11_WARNING TRUE)
    set(KDE_SKIP_RPATH_SETTINGS TRUE)
    set(CMAKE_MACOSX_RPATH 1)
    set(BUILD_WITH_INSTALL_RPATH 1)
    add_definitions(-mmacosx-version-min=10.12 -Wno-macro-redefined -Wno-deprecated-register)
endif()

if (CMAKE_COMPILER_IS_GNUCXX AND NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.9 AND NOT WIN32)
    add_definitions(-Wno-suggest-override)
endif()

 ######################
#######################
## Constants defines ##
#######################
######################

# define common versions of Krita applications, used to generate kritaversion.h
# update these version for every release:
set(KRITA_VERSION_STRING "4.2.7")
# Major version: 3 for 3.x, 4 for 4.x, etc.
set(KRITA_STABLE_VERSION_MAJOR 4)
# Minor version: 0 for 4.0, 1 for 4.1, etc.
set(KRITA_STABLE_VERSION_MINOR 2)
# Bugfix release version, or 0 for before the first stable release
set(KRITA_VERSION_RELEASE 7)
# the 4th digit, really only used for the Windows installer:
# - [Pre-]Alpha: Starts from 0, increment 1 per release
# - Beta: Starts from 50, increment 1 per release
# - Stable: Set to 100, bump to 101 if emergency update is needed
set(KRITA_VERSION_REVISION 0)
#set(KRITA_ALPHA 1) # uncomment only for Alpha
#set(KRITA_BETA 1) # uncomment only for Beta
#set(KRITA_RC 1) # uncomment only for RC
set(KRITA_YEAR 2019) # update every year

if(NOT DEFINED KRITA_ALPHA AND NOT DEFINED KRITA_BETA AND NOT DEFINED KRITA_RC)
    set(KRITA_STABLE 1) # do not edit
endif()

message(STATUS "Krita version: ${KRITA_VERSION_STRING}")

# Define the generic version of the Krita libraries here
# This makes it easy to advance it when the next Krita release comes.
# 14 was the last GENERIC_KRITA_LIB_VERSION_MAJOR of the previous Krita series
# (2.x) so we're starting with 15 in 3.x series, 16 in 4.x series
if(KRITA_STABLE_VERSION_MAJOR EQUAL 4)
    math(EXPR GENERIC_KRITA_LIB_VERSION_MAJOR "${KRITA_STABLE_VERSION_MINOR} + 16")
else()
    # let's make sure we won't forget to update the "16"
    message(FATAL_ERROR "Reminder: please update offset == 16 used to compute GENERIC_KRITA_LIB_VERSION_MAJOR to something bigger")
endif()
set(GENERIC_KRITA_LIB_VERSION "${GENERIC_KRITA_LIB_VERSION_MAJOR}.0.0")
set(GENERIC_KRITA_LIB_SOVERSION "${GENERIC_KRITA_LIB_VERSION_MAJOR}")

LIST (APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")
LIST (APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/kde_macro")

# fetch git revision for the current build

set(KRITA_GIT_SHA1_STRING "")
set(KRITA_GIT_BRANCH_STRING "")

include(GetGitRevisionDescription)
get_git_head_hash(GIT_SHA1)
get_git_branch(GIT_BRANCH)

if(GIT_SHA1)
   string(SUBSTRING ${GIT_SHA1} 0 7 GIT_SHA1)
   set(KRITA_GIT_SHA1_STRING ${GIT_SHA1})
   if(GIT_BRANCH)
       set(KRITA_GIT_BRANCH_STRING ${GIT_BRANCH})
   else()
       set(KRITA_GIT_BRANCH_STRING "(detached HEAD)")
   endif()
endif()

# create test make targets
enable_testing()
# collect list of broken tests, empty here to start fresh with each cmake run
set(KRITA_BROKEN_TESTS "" CACHE INTERNAL "KRITA_BROKEN_TESTS")

 ############
#############
## Options ##
#############
############

include(FeatureSummary)

if (WIN32)
    option(USE_DRMINGW "Support the Dr. Mingw crash handler (only on windows)" ON)
    add_feature_info("Dr. Mingw" USE_DRMINGW "Enable the Dr. Mingw crash handler")

    if (MINGW)
        option(USE_MINGW_HARDENING_LINKER "Enable DEP (NX), ASLR and high-entropy ASLR linker flags (mingw-w64)" ON)
        add_feature_info("Linker Security Flags" USE_MINGW_HARDENING_LINKER "Enable DEP (NX), ASLR and high-entropy ASLR linker flags")
        if (USE_MINGW_HARDENING_LINKER)
            set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--dynamicbase -Wl,--nxcompat -Wl,--disable-auto-image-base")
            set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--dynamicbase -Wl,--nxcompat -Wl,--disable-auto-image-base")
            set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--dynamicbase -Wl,--nxcompat -Wl,--disable-auto-image-base")
            if ("${CMAKE_SIZEOF_VOID_P}" EQUAL "8")
                # Enable high-entropy ASLR for 64-bit
                # The image base has to be >4GB for HEASLR to be enabled.
                # The values used here are kind of arbitrary.
                set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--high-entropy-va -Wl,--image-base,0x140000000")
                set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--high-entropy-va -Wl,--image-base,0x180000000")
                set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--high-entropy-va -Wl,--image-base,0x180000000")
            endif ("${CMAKE_SIZEOF_VOID_P}" EQUAL "8")
        else (USE_MINGW_HARDENING_LINKER)
            message(WARNING "Linker Security Flags not enabled!")
        endif (USE_MINGW_HARDENING_LINKER)
    endif (MINGW)
endif ()

option(HIDE_SAFE_ASSERTS "Don't show message box for \"safe\" asserts, just ignore them automatically and dump a message to the terminal." ON)
configure_file(config-hide-safe-asserts.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-hide-safe-asserts.h)
add_feature_info("Hide Safe Asserts" HIDE_SAFE_ASSERTS "Don't show message box for \"safe\" asserts, just ignore them automatically and dump a message to the terminal.")

option(USE_LOCK_FREE_HASH_TABLE "Use lock free hash table instead of blocking." ON)
configure_file(config-hash-table-implementaion.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-hash-table-implementaion.h)
add_feature_info("Lock free hash table" USE_LOCK_FREE_HASH_TABLE "Use lock free hash table instead of blocking.")

option(FOUNDATION_BUILD "A Foundation build is a binary release build that can package some extra things like color themes. Linux distributions that build and install Krita into a default system location should not define this option to true." OFF)
add_feature_info("Foundation Build" FOUNDATION_BUILD "A Foundation build is a binary release build that can package some extra things like color themes. Linux distributions that build and install Krita into a default system location should not define this option to true.")

option(KRITA_ENABLE_BROKEN_TESTS "Enable tests that are marked as broken" OFF)
add_feature_info("Enable Broken Tests" KRITA_ENABLE_BROKEN_TESTS "Runs broken test when \"make test\" is invoked (use -DKRITA_ENABLE_BROKEN_TESTS=ON to enable).")

option(LIMIT_LONG_TESTS "Run long running unittests in a limited quick mode" ON)
configure_file(config-limit-long-tests.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-limit-long-tests.h)
add_feature_info("Limit long tests" LIMIT_LONG_TESTS "Run long running unittests in a limited quick mode")

option(ENABLE_PYTHON_2 "Enables the compiler to look for Python 2.7 instead of Python 3. Some packaged scripts are not compatible with Python 2 and this should only be used if you really have to use 2.7." OFF)

option(BUILD_KRITA_QT_DESIGNER_PLUGINS "Build Qt Designer plugins for Krita widgets" OFF)
add_feature_info("Build Qt Designer plugins" BUILD_KRITA_QT_DESIGNER_PLUGINS "Builds Qt Designer plugins for Krita widgets (use -DBUILD_KRITA_QT_DESIGNER_PLUGINS=ON to enable).")

include(MacroJPEG)

 #########################################################
## Look for Python3 It is also searched by KF5,         ##
## so we should request the correct version in advance  ##
#########################################################

function(TestCompileLinkPythonLibs OUTPUT_VARNAME)
    include(CheckCXXSourceCompiles)
    set(CMAKE_REQUIRED_INCLUDES ${PYTHON_INCLUDE_PATH})
    set(CMAKE_REQUIRED_LIBRARIES ${PYTHON_LIBRARIES})
    if (MINGW)
        set(CMAKE_REQUIRED_DEFINITIONS -D_hypot=hypot)
    endif (MINGW)
    unset(${OUTPUT_VARNAME} CACHE)
    CHECK_CXX_SOURCE_COMPILES("
#include <Python.h>
int main(int argc, char *argv[]) {
    Py_InitializeEx(0);
}" ${OUTPUT_VARNAME})
endfunction()

if(MINGW)
    if(ENABLE_PYTHON_2)
        message(FATAL_ERROR "Python 2.7 is not supported on Windows at the moment.")
    else(ENABLE_PYTHON_2)
        find_package(PythonInterp 3.6 EXACT)
        find_package(PythonLibs 3.6 EXACT)
    endif(ENABLE_PYTHON_2)
    if (PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND)
        if(ENABLE_PYTHON_2)
            find_package(PythonLibrary 2.7)
        else(ENABLE_PYTHON_2)
            find_package(PythonLibrary 3.6)
        endif(ENABLE_PYTHON_2)
        TestCompileLinkPythonLibs(CAN_USE_PYTHON_LIBS)
        if (NOT CAN_USE_PYTHON_LIBS)
            message(FATAL_ERROR "Compiling with Python library failed, please check whether the architecture is correct. Python will be disabled.")
        endif (NOT CAN_USE_PYTHON_LIBS)
    endif (PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND)
else(MINGW)
    if(ENABLE_PYTHON_2)
        find_package(PythonInterp 2.7)
        find_package(PythonLibrary 2.7)
    else(ENABLE_PYTHON_2)
        find_package(PythonInterp 3.0)
        find_package(PythonLibrary 3.0)
    endif(ENABLE_PYTHON_2)
endif(MINGW)

 ########################
#########################
## Look for KDE and Qt ##
#########################
########################

find_package(ECM 5.22 REQUIRED NOMODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
include(ECMOptionalAddSubdirectory)
include(ECMAddAppIcon)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateHeaders)
include(GenerateExportHeader)
include(ECMMarkAsTest)
include(ECMInstallIcons)

include(CMakePackageConfigHelpers)
include(WriteBasicConfigVersionFile)
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

# do not reorder to be alphabetical: this is the order in which the frameworks
# depend on each other.
find_package(KF5 ${MIN_FRAMEWORKS_VERSION} REQUIRED COMPONENTS
        Config
        WidgetsAddons
        Completion
        CoreAddons
        GuiAddons
        I18n
        ItemModels
        ItemViews
        WindowSystem
        Archive
)

find_package(Qt5 ${MIN_QT_VERSION}
        REQUIRED COMPONENTS
        Core
        Gui
        Widgets
        Xml
        Network
        PrintSupport
        Svg
        Test
        Concurrent
)

if (WIN32)
    set(CMAKE_REQUIRED_INCLUDES ${Qt5Core_INCLUDE_DIRS})
    set(CMAKE_REQUIRED_LIBRARIES ${Qt5Core_LIBRARIES})

    CHECK_CXX_SOURCE_COMPILES("
#include <QCoreApplication>
int main(int argc, char *argv[]) {
QCoreApplication::setAttribute(Qt::AA_MSWindowsUseWinTabAPI);
}
"
    QT_HAS_WINTAB_SWITCH
    )

    unset(CMAKE_REQUIRED_INCLUDES)
    unset(CMAKE_REQUIRED_LIBRARIES)

    option(USE_QT_TABLET_WINDOWS "Do not use Krita's forked Wintab and Windows Ink support on Windows, but leave everything to Qt." ON)
	add_feature_info("Use Qt's Windows Tablet Support" USE_QT_TABLET_WINDOWS "Do not use Krita's forked Wintab and Windows Ink support on Windows, but leave everything to Qt.")
    configure_file(config_use_qt_tablet_windows.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config_use_qt_tablet_windows.h)
endif ()

=== debian/changelog ===
krita (1:4.2.7+dfsg-0.1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 30 Sep 2019 14:44:50 -0700

## krita 4.2.7.1+dfsg

=== debian/changelog ===
krita (1:4.2.7.1+dfsg-0.1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 01 Oct 2019 14:54:37 -0700

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: krita
 Section: kde
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 1.7.0),
+               extra-cmake-modules (>= 5.22.0),
                gettext,
                libboost-system-dev,
                libeigen3-dev,
@@ -16,17 +15,17 @@
                libgsl-dev,
                libheif-dev,
                libjpeg-dev,
-               libkf5archive-dev (>= 5.7.0),
-               libkf5completion-dev (>= 5.7.0),
-               libkf5config-dev (>= 5.7.0),
-               libkf5coreaddons-dev (>= 5.7.0),
-               libkf5crash-dev (>= 5.7.0),
-               libkf5guiaddons-dev (>= 5.7.0),
-               libkf5i18n-dev (>= 5.7.0),
-               libkf5itemmodels-dev (>= 5.7.0),
-               libkf5itemviews-dev (>= 5.7.0),
-               libkf5widgetsaddons-dev (>= 5.7.0),
-               libkf5windowsystem-dev (>= 5.7.0),
+               libkf5archive-dev (>= 5.44.0),
+               libkf5completion-dev (>= 5.44.0),
+               libkf5config-dev (>= 5.44.0),
+               libkf5coreaddons-dev (>= 5.44.0),
+               libkf5crash-dev (>= 5.44.0),
+               libkf5guiaddons-dev (>= 5.44.0),
+               libkf5i18n-dev (>= 5.44.0),
+               libkf5itemmodels-dev (>= 5.44.0),
+               libkf5itemviews-dev (>= 5.44.0),
+               libkf5widgetsaddons-dev (>= 5.44.0),
+               libkf5windowsystem-dev (>= 5.44.0),
                liblcms2-dev,
                libopencolorio-dev,
                libopenexr-dev,
@@ -34,8 +33,8 @@
                libpoppler-qt5-dev,
                libquazip5-dev,
                libqt5opengl5-desktop-dev,
-               libqt5svg5-dev (>= 5.6.0),
-               libqt5x11extras5-dev (>= 5.6.0),
+               libqt5svg5-dev (>= 5.9.0),
+               libqt5x11extras5-dev (>= 5.9.0),
                libraw-dev,
                libtiff-dev,
                libxcb-util0-dev,
@@ -47,9 +46,9 @@
                python3-dev,
                python3-pyqt5,
                python3-sip-dev,
-               qtbase5-dev (>= 5.6.0),
-               qtdeclarative5-dev (>= 5.6.0),
-               qtmultimedia5-dev (>= 5.6.0),
+               qtbase5-dev (>= 5.9.0),
+               qtdeclarative5-dev (>= 5.9.0),
+               qtmultimedia5-dev (>= 5.9.0),
                vc-dev [any-i386 any-amd64],
                zlib1g-dev
 Standards-Version: 4.4.0

## krita 4.2.8.1+dfsg

=== debian/changelog ===
krita (1:4.2.8.1+dfsg-0.1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 25 Nov 2019 15:25:13 -0800

## krita 4.2.8.2+dfsg

=== debian/changelog ===
krita (1:4.2.8.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add the configuration for the CI on salsa.

 -- Pino Toscano <pino@debian.org>  Wed, 27 Nov 2019 19:43:14 +0100

krita (1:4.2.7.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 05 Oct 2019 10:34:00 +0200

krita (1:4.2.6+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 14 Sep 2019 08:09:15 +0200

=== debian/control ===
--- 
+++ 
@@ -51,7 +51,7 @@
                qtmultimedia5-dev (>= 5.9.0),
                vc-dev [any-i386 any-amd64],
                zlib1g-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://krita.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/krita.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/krita
